Name: i810switch
Version: 0.6.5
Release: 3%{?dist}

Summary: Utility for switching the LCD and external VGA displays on and off
Group: User Interface/X Hardware Support
License: GPL
URL: http://www16.plala.or.jp/mano-a-mano/i810switch.html
Source0: http://www16.plala.or.jp/mano-a-mano/i810switch/i810switch-0.6.5.tar.gz
Patch0: i810switch-0.6.2.makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pciutils

%description
i810switch is a utility for switching the LCD and external VGA
displays on and off under Linux. It was originally written by Antonino
Daplas, and is now maintained by Ken Mano.

%prep
%setup -q
%patch -p1 -b .buildroot
make clean

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog INSTALL
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon May 22 2006 Matt Domsch <Matt_Domsch@dell.com> - 0.6.5-3
- make clean in prep BZ192619

* Sun Feb 12 2006 Matt Domsch <Matt_Domsch@dell.com> - 0.6.5-2
- rebuild for FC5

* Tue Jan 17 2006 Matt Domsch <Matt_Domsch@dell.com> - 0.6.5-1
- update to 0.6.5, change URLs due to new upstream maintainer

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Jan 18 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-3
- Added back INSTALL file to rpm because it explains how to SUID root
  the executable so that all users can use i810switch.

* Thu Jan 13 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-0.fdr.2
- Minor spec file fixes and addition of optimization flags to CFLAGS

* Tue Jan 11 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-0.fdr.1
- Initial build of i810switch

